package com.ikon.projectmanagement.service;

import com.ikon.projectmanagement.dto.request.MeetingRequestDTO;
import com.ikon.projectmanagement.dto.response.MeetingResponseDTO;

import java.util.List;
import java.util.UUID;

public interface MeetingService {

    MeetingResponseDTO createMeeting(MeetingRequestDTO meetingRequestDTO);

    List<MeetingResponseDTO> getAllMeetings(UUID projectIdentifier);

    List<MeetingResponseDTO> getMeetingsByProjectIdentifier(String projectIdentifier);

    MeetingResponseDTO getMeetingById(UUID meetingId);

    MeetingResponseDTO updateMeeting(UUID meetingId, MeetingRequestDTO meetingRequestDTO);

    void deleteMeeting(UUID meetingId);
}